var comments = {
	lineComment: "//"
};
var brackets = [
	[
		"(",
		")"
	],
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	{
		open: "<",
		close: ">",
		notIn: [
			"embedded",
			"string"
		]
	},
	{
		open: "`",
		close: "`",
		notIn: [
			"string"
		]
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"'",
		"'"
	],
	[
		"\"",
		"\""
	],
	[
		"`",
		"`"
	]
];
var folding = {
	offSide: true
};
var wordPattern = "[^\\`\\~\\!\\@\\#\\%\\^\\&\\*\\(\\)\\=\\+\\[\\{\\]\\}\\\\\\|\\;\\:\\'\\\"\\,\\.\\<\\>\\/\\?\\s]+";
var diet = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding,
	wordPattern: wordPattern
};

export { autoClosingPairs, brackets, comments, diet as default, folding, surroundingPairs, wordPattern };
