import 'monaco-editor/esm/vs/language/css/monaco.contribution';
import { r as registerWorkerLoader } from '../worker.js';

const workerLoader = async () => (await import( /* webpackChunkName: "MonacoHtmlWorker" */'../css.worker.js').then(module => module)).default;
registerWorkerLoader('css', workerLoader);
registerWorkerLoader('less', workerLoader);
registerWorkerLoader('scss', workerLoader);
