var fileTypes = [
	"html.eex"
];
var foldingStartMarker = "(?x)\n\t\t(<(?i:head|body|table|thead|tbody|tfoot|tr|div|select|fieldset|style|script|ul|ol|form|dl)\\b.*?>\n\t\t|<!--(?!.*-->)\n\t\t|\\{\\s*($|\\?>\\s*$|//|/\\*(.*\\*/\\s*$|(?!.*?\\*/)))\n\t\t)";
var foldingStopMarker = "(?x)\n\t\t(</(?i:head|body|table|thead|tbody|tfoot|tr|div|select|fieldset|style|script|ul|ol|form|dl)>\n\t\t|^\\s*-->\n\t\t|(^|\\s)\\}\n\t\t)";
var name = "HTML (EEx)";
var patterns = [
	{
		include: "text.elixir"
	},
	{
		include: "text.html.basic"
	}
];
var scopeName = "text.html.elixir";
var information_for_contributors = [
	"This file has been converted from https://github.com/timmhirsens/vscode-elixir/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var html__eex_ = {
	fileTypes: fileTypes,
	foldingStartMarker: foldingStartMarker,
	foldingStopMarker: foldingStopMarker,
	name: name,
	patterns: patterns,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { html__eex_ as default, fileTypes, foldingStartMarker, foldingStopMarker, information_for_contributors, name, patterns, scopeName };
