var injectionSelector = "L:comment.block.documentation";
var patterns = [
	{
		include: "#jsdocbody"
	}
];
var repository = {
	jsdocbody: {
		begin: "(?<=/\\*\\*)([^*]|\\*(?!/))*$",
		"while": "(^|\\G)\\s*\\*(?!/)(?=([^*]|[*](?!/))*$)",
		patterns: [
			{
				include: "source.ts#docblock"
			}
		]
	}
};
var scopeName = "documentation.injection.js.jsx";
var information_for_contributors = [
	"This file has been converted from https://github.com/microsoft/vscode/blob/master/extensions/typescript-basics/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var jsdoc_js_injection_tmLanguage = {
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { jsdoc_js_injection_tmLanguage as default, information_for_contributors, injectionSelector, patterns, repository, scopeName };
