var comments = {
	lineComment: "--",
	blockComment: [
		"{-",
		"-}"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "`",
		close: "`",
		notIn: [
			"string",
			"comment"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"'",
		"'"
	],
	[
		"\"",
		"\""
	],
	[
		"`",
		"`"
	]
];
var folding = {
	offSide: true
};
var literate_haskell = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding
};

export { autoClosingPairs, brackets, comments, literate_haskell as default, folding, surroundingPairs };
