var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "'",
		close: "'"
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "<!--",
		close: "-->",
		notIn: [
			"comment",
			"string"
		]
	},
	{
		open: "/**",
		close: " */",
		notIn: [
			"string"
		]
	}
];
var colorizedBracketPairs = [
	[
		"{{",
		"}}"
	]
];
var markdown = {
	autoClosingPairs: autoClosingPairs,
	colorizedBracketPairs: colorizedBracketPairs
};

export { autoClosingPairs, colorizedBracketPairs, markdown as default };
