var comments = {
	blockComment: [
		"/*",
		"*/"
	],
	lineComment: "--"
};
var brackets = [
	[
		"(",
		")"
	],
	[
		"[",
		"]"
	],
	[
		"{",
		"}"
	]
];
var autoClosingPairs = [
	{
		open: "(",
		close: ")"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "{",
		close: "}"
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string",
			"comment"
		]
	}
];
var surroundingPairs = [
	[
		"(",
		")"
	],
	[
		"[",
		"]"
	],
	[
		"{",
		"}"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	]
];
var postgres = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, comments, postgres as default, surroundingPairs };
