var comments = {
	lineComment: "#"
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	[
		"#'",
		""
	],
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	],
	[
		"`",
		"`"
	]
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	],
	[
		"`",
		"`"
	]
];
var folding = {
	markers: {
		start: "^\\s*#region",
		end: "^\\s*#endregion"
	}
};
var r = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding
};

export { autoClosingPairs, brackets, comments, r as default, folding, surroundingPairs };
