var svelte_svelteVscode = [
  {
    "type": "object",
    "title": "Svelte",
    "properties": {
      "svelte.enable-ts-plugin": {
        "type": "boolean",
        "default": false,
        "title": "Enable TypeScript Svelte plugin",
        "description": "Enables a TypeScript plugin which provides intellisense for Svelte files inside TS/JS files.",
        "scope": 3
      },
      "svelte.ask-to-enable-ts-plugin": {
        "type": "boolean",
        "default": true,
        "title": "Ask to enable TypeScript Svelte plugin",
        "description": "Ask on startup to enable the TypeScript plugin.",
        "scope": 3
      },
      "svelte.language-server.runtime": {
        "scope": 1,
        "type": "string",
        "title": "Language Server Runtime",
        "description": "- You normally don't need this - Path to the node executable to use to spawn the language server. This is useful when you depend on native modules such as node-sass as without this they will run in the context of vscode, meaning node version mismatch is likely. Minimum required node version is 12.17. This setting can only be changed in user settings for security reasons."
      },
      "svelte.language-server.ls-path": {
        "scope": 1,
        "type": "string",
        "title": "Language Server Path",
        "description": "- You normally don't set this - Path to the language server executable. If you installed the \"svelte-language-server\" npm package, it's within there at \"bin/server.js\". Path can be either relative to your workspace root or absolute. Set this only if you want to use a custom version of the language server. This will then also use the workspace version of TypeScript. This setting can only be changed in user settings for security reasons."
      },
      "svelte.language-server.port": {
        "type": "number",
        "title": "Language Server Port",
        "description": "- You normally don't set this - At which port to spawn the language server. Can be used for attaching to the process for debugging / profiling. If you experience crashes due to \"port already in use\", try setting the port. -1 = default port is used.",
        "default": -1,
        "scope": 3
      },
      "svelte.language-server.debug": {
        "type": "boolean",
        "title": "Language Server Debug Mode",
        "description": "- You normally don't set this - Enable more verbose logging for the language server useful for debugging language server execution.",
        "scope": 3
      },
      "svelte.trace.server": {
        "type": "string",
        "enum": [
          "off",
          "messages",
          "verbose"
        ],
        "default": "off",
        "description": "Traces the communication between VS Code and the Svelte Language Server.",
        "scope": 3
      },
      "svelte.plugin.typescript.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript",
        "description": "Enable the TypeScript plugin",
        "scope": 3
      },
      "svelte.plugin.typescript.diagnostics.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Diagnostics",
        "description": "Enable diagnostic messages for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.hover.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Hover Info",
        "description": "Enable hover info for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.documentSymbols.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Symbols in Outline",
        "description": "Enable document symbols for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.completions.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Completions",
        "description": "Enable completions for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.codeActions.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Code Actions",
        "description": "Enable code actions for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.selectionRange.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Selection Range",
        "description": "Enable selection range for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.signatureHelp.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Signature Help",
        "description": "Enable signature help (parameter hints) for TypeScript",
        "scope": 3
      },
      "svelte.plugin.typescript.semanticTokens.enable": {
        "type": "boolean",
        "default": true,
        "title": "TypeScript: Semantic Tokens",
        "description": "Enable semantic tokens (semantic highlight) for TypeScript.",
        "scope": 3
      },
      "svelte.plugin.css.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS",
        "description": "Enable the CSS plugin",
        "scope": 3
      },
      "svelte.plugin.css.globals": {
        "type": "string",
        "default": "",
        "title": "CSS: Global Files",
        "description": "Which css files should be checked for global variables (`--global-var: value;`). These variables are added to the css completions. String of comma-separated file paths or globs relative to workspace root.",
        "scope": 3
      },
      "svelte.plugin.css.diagnostics.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Diagnostics",
        "description": "Enable diagnostic messages for CSS",
        "scope": 3
      },
      "svelte.plugin.css.hover.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Hover Info",
        "description": "Enable hover info for CSS",
        "scope": 3
      },
      "svelte.plugin.css.completions.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Auto Complete",
        "description": "Enable auto completions for CSS",
        "scope": 3
      },
      "svelte.plugin.css.completions.emmet": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Include Emmet Completions",
        "description": "Enable emmet auto completions for CSS",
        "scope": 3
      },
      "svelte.plugin.css.documentColors.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Document Colors",
        "description": "Enable document colors for CSS",
        "scope": 3
      },
      "svelte.plugin.css.colorPresentations.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Color Picker",
        "description": "Enable color picker for CSS",
        "scope": 3
      },
      "svelte.plugin.css.documentSymbols.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: Symbols in Outline",
        "description": "Enable document symbols for CSS",
        "scope": 3
      },
      "svelte.plugin.css.selectionRange.enable": {
        "type": "boolean",
        "default": true,
        "title": "CSS: SelectionRange",
        "description": "Enable selection range for CSS",
        "scope": 3
      },
      "svelte.plugin.html.enable": {
        "type": "boolean",
        "default": true,
        "title": "HTML",
        "description": "Enable the HTML plugin",
        "scope": 3
      },
      "svelte.plugin.html.hover.enable": {
        "type": "boolean",
        "default": true,
        "title": "HTML: Hover Info",
        "description": "Enable hover info for HTML",
        "scope": 3
      },
      "svelte.plugin.html.completions.enable": {
        "type": "boolean",
        "default": true,
        "title": "HTML: Auto Complete",
        "description": "Enable auto completions for HTML",
        "scope": 3
      },
      "svelte.plugin.html.completions.emmet": {
        "type": "boolean",
        "default": true,
        "title": "HTML: Include Emmet Completions",
        "description": "Enable emmet auto completions for HTML",
        "scope": 3
      },
      "svelte.plugin.html.tagComplete.enable": {
        "type": "boolean",
        "default": true,
        "title": "HTML: Tag Auto Closing",
        "description": "Enable HTML tag auto closing",
        "scope": 3
      },
      "svelte.plugin.html.documentSymbols.enable": {
        "type": "boolean",
        "default": true,
        "title": "HTML: Symbols in Outline",
        "description": "Enable document symbols for HTML",
        "scope": 3
      },
      "svelte.plugin.html.linkedEditing.enable": {
        "type": "boolean",
        "default": true,
        "title": "HTML: Linked Editing",
        "description": "Enable Linked Editing for HTML",
        "scope": 3
      },
      "svelte.plugin.svelte.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte",
        "description": "Enable the Svelte plugin",
        "scope": 3
      },
      "svelte.plugin.svelte.useNewTransformation": {
        "type": "boolean",
        "default": true,
        "title": "Use a new transformation for intellisense",
        "description": "Svelte files need to be transformed to something that TypeScript understands for intellisense. Version 2.0 of this transformation can be enabled with this setting. It will be the default, soon.",
        "scope": 3
      },
      "svelte.plugin.svelte.note-new-transformation": {
        "type": "boolean",
        "default": true,
        "title": "Show a note about the new transformation",
        "description": "There's a new transformation for improved intellisense which is now turned on by default. This note notifies you about it.",
        "scope": 3
      },
      "svelte.plugin.svelte.diagnostics.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Diagnostics",
        "description": "Enable diagnostic messages for Svelte",
        "scope": 3
      },
      "svelte.plugin.svelte.compilerWarnings": {
        "type": "object",
        "additionalProperties": {
          "type": "string",
          "enum": [
            "ignore",
            "error"
          ]
        },
        "default": {},
        "title": "Svelte: Compiler Warnings Settings",
        "description": "Svelte compiler warning codes to ignore or to treat as errors. Example: { 'css-unused-selector': 'ignore', 'unused-export-let': 'error'}",
        "scope": 3
      },
      "svelte.plugin.svelte.format.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Format",
        "description": "Enable formatting for Svelte (includes css & js). You can set some formatting options through this extension. They will be ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.svelteSortOrder": {
        "type": "string",
        "default": "options-scripts-markup-styles",
        "title": "Svelte Format: Sort Order",
        "description": "Format: join the keys `options`, `scripts`, `markup`, `styles` with a - in the order you want. This option is ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.svelteStrictMode": {
        "type": "boolean",
        "default": false,
        "title": "Svelte Format: Strict Mode",
        "description": "More strict HTML syntax. This option is ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.svelteAllowShorthand": {
        "type": "boolean",
        "default": true,
        "title": "Svelte Format: Allow Shorthand",
        "description": "Option to enable/disable component attribute shorthand if attribute name and expression are the same. This option is ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.svelteBracketNewLine": {
        "type": "boolean",
        "default": true,
        "title": "Svelte Format: Bracket New Line",
        "description": "Put the `>` of a multiline element on a new line. This option is ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.svelteIndentScriptAndStyle": {
        "type": "boolean",
        "default": true,
        "title": "Svelte Format: Indent Script And Style",
        "description": "Whether or not to indent code inside `<script>` and `<style>` tags. This option is ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.printWidth": {
        "type": "number",
        "default": 80,
        "title": "Svelte Format: Print Width",
        "description": "Maximum line width after which code is tried to be broken up. This is a Prettier core option. If you have the Prettier extension installed, this option is ignored and the corresponding option of that extension is used instead. This option is also ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.format.config.singleQuote": {
        "type": "boolean",
        "default": false,
        "title": "Svelte Format: Quotes",
        "description": "Use single quotes instead of double quotes, where possible. This is a Prettier core option. If you have the Prettier extension installed, this option is ignored and the corresponding option of that extension is used instead. This option is also ignored if there's any kind of configuration file, for example a `.prettierrc` file.",
        "scope": 3
      },
      "svelte.plugin.svelte.completions.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Completions",
        "description": "Enable auto completions for Svelte",
        "scope": 3
      },
      "svelte.plugin.svelte.hover.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Hover",
        "description": "Enable hover information for Svelte",
        "scope": 3
      },
      "svelte.plugin.svelte.codeActions.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Code Actions",
        "description": "Enable Code Actions for Svelte",
        "scope": 3
      },
      "svelte.plugin.svelte.selectionRange.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Selection Range",
        "description": "Enable selection range for Svelte",
        "scope": 3
      },
      "svelte.plugin.svelte.rename.enable": {
        "type": "boolean",
        "default": true,
        "title": "Svelte: Rename",
        "description": "Enable rename/move Svelte files functionality",
        "scope": 3
      },
      "svelte.plugin.svelte.defaultScriptLanguage": {
        "type": "string",
        "default": "none",
        "title": "Svelte: Default Script Language",
        "description": "The default language to use when generating new script tags",
        "enum": [
          "none",
          "ts"
        ],
        "scope": 3
      }
    }
  }
];

export { svelte_svelteVscode as default };
