var comments = {
	blockComment: [
		"<%#",
		"%>"
	]
};
var brackets = [
	[
		"<",
		">"
	],
	[
		"{",
		"}"
	],
	[
		"(",
		")"
	],
	[
		"[",
		"]"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "<",
		close: ">"
	},
	{
		open: "%",
		close: "%",
		notIn: [
			"string",
			"comment"
		]
	}
];
var surroundingPairs = [
	{
		open: "'",
		close: "'"
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "<",
		close: ">"
	},
	{
		open: "%",
		close: "%"
	}
];
var HTML__Eex_ = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, comments, HTML__Eex_ as default, surroundingPairs };
