var comments = {
	lineComment: ";"
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string",
			"comment"
		]
	}
];
var surroundingPairs = [
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "\"",
		close: "\""
	}
];
var wordPattern = {
	pattern: "[A-Za-z_'`][A-Za-z_'.0-9]*"
};
var duneProject = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	wordPattern: wordPattern
};

export { autoClosingPairs, brackets, comments, duneProject as default, surroundingPairs, wordPattern };
