var elixir = [
  {
    "type": "object",
    "title": "Elixir settings",
    "properties": {
      "elixir.useElixirSense": {
        "type": "boolean",
        "default": true,
        "description": "Use elixir-sense instead of alchemist-server",
        "scope": 3
      },
      "elixir.autoSpawnElixirSenseServers": {
        "type": "boolean",
        "default": true,
        "description": "Automatically handle spawning of elixir-sense servers for each folder in the workspace",
        "scope": 3
      },
      "elixir.command": {
        "type": "string",
        "default": "elixir",
        "description": "Command to be run for launching the elixir_sense server providing intellisense features. Defaults to 'elixir'",
        "scope": 3
      },
      "elixir.elixirEnv": {
        "type": "string",
        "default": "dev",
        "description": "Project environment",
        "scope": 3
      },
      "elixir.projectPath": {
        "type": "string",
        "default": "",
        "description": "The path to the mix project in the folder structure of your project",
        "scope": 3
      }
    }
  }
];

export { elixir as default };
