var scopeName = "markdown.svelte.codeblock.style";
var fileTypes = [
];
var injectionSelector = "L:meta.style.svelte";
var patterns = [
	{
		include: "#svelte-script-css"
	}
];
var repository = {
	"svelte-script-css": {
		begin: "(?<=style.*>)(?!</)",
		end: "(?=</)",
		name: "meta.embedded.block.svelte.style",
		contentName: "source.css",
		patterns: [
			{
				include: "source.css"
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/sveltejs/language-tools/blob/master/packages/svelte-vscode/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var markdownSvelteCss = {
	scopeName: scopeName,
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { markdownSvelteCss as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
