var lang = {
	prefix: "lang",
	body: [
		"(lang $1 $2)"
	]
};
var name = {
	prefix: "name",
	body: [
		"(name $1)"
	]
};
var using = {
	prefix: "using",
	body: [
		"(using $1 $2)"
	]
};
var info = {
	prefix: "info",
	body: [
		"(license $1)\n(authors \"$2\")\n(maintainers \"$3\")\n(source (${4|uri,github|} $5))\n(bug_reports \"$6\")\n(homepage \"$7\")\n(documentation \"$8\")"
	]
};
var ocamlDuneProject = {
	lang: lang,
	name: name,
	using: using,
	info: info,
	"package": {
	prefix: "package",
	body: [
		"(package\n (name $1)\n (synopsis \"$2\")\n (description \"$3\")\n (depends $4))"
	]
}
};

export { ocamlDuneProject as default, info, lang, name, using };
