var fileTypes = [
];
var injectionSelector = "L:markup.fenced_code.block.markdown";
var patterns = [
	{
		include: "#ocaml-code-block"
	}
];
var repository = {
	"ocaml-code-block": {
		begin: "(ml|ocaml)(\\s+[^`~]*)?$",
		end: "(^|\\G)(?=\\s*[`~]{3,}\\s*$)",
		patterns: [
			{
				begin: "(^|\\G)(\\s*)(.*)",
				"while": "(^|\\G)(?!\\s*([`~]{3,})\\s*$)",
				contentName: "meta.embedded.block.ocaml",
				patterns: [
					{
						include: "source.ocaml"
					}
				]
			}
		]
	}
};
var scopeName = "markdown.ocaml.codeblock";
var information_for_contributors = [
	"This file has been converted from https://github.com/ocamllabs/vscode-ocaml-platform/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var ocamlMarkdownCodeblock = {
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { ocamlMarkdownCodeblock as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
