var scopeName = "source.ocaml.opam-install";
var fileTypes = [
	"install"
];
var patterns = [
	{
		name: "comment.line.opam-install",
		begin: "#",
		end: "$"
	},
	{
		match: "^[[:space:]]*(lib|lib_root|libexec|libexec_root|bin|sbin|toplevel|share|share_root|etc|doc|stublibs|man|misc)[[:space:]]*(:)",
		captures: {
			"1": {
				name: "entity.name.tag.opam-install"
			},
			"2": {
				name: "keyword.operator.opam-install"
			}
		}
	},
	{
		name: "string.quoted.double.opam-install",
		begin: "\"",
		end: "\""
	}
];
var information_for_contributors = [
	"This file has been converted from https://github.com/ocamllabs/vscode-ocaml-platform/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var opamInstall = {
	scopeName: scopeName,
	fileTypes: fileTypes,
	patterns: patterns,
	information_for_contributors: information_for_contributors
};

export { opamInstall as default, fileTypes, information_for_contributors, patterns, scopeName };
