var capabilities = {
	documentOnTypeFormattingProvider: {
		firstTriggerCharacter: "}",
		moreTriggerCharacter: [
			";",
			","
		]
	},
	documentRangeFormattingProvider: "true",
	renameProvider: "true",
	documentHighlightProvider: "true",
	referencesProvider: "true"
};
var comments = {
	lineComment: "#"
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	]
];
var tcl = {
	capabilities: capabilities,
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, capabilities, comments, tcl as default, surroundingPairs };
